Skip to main content
Nowledge MemNowledge Mem

Send Message

POST
/agent/graph-intelligence/message

Send a message to the Graph Intelligence Agent with frozen graph context.

Returns an SSE stream with text, tool_call, tool_result, canvas_command, and done events. The graphContext is injected into the agent prompt and stored as user message metadata.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/agent/graph-intelligence/message" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
null